1 Reply Latest reply on Oct 31, 2018 2:25 PM by Dennis Gesker

    Correct Maven URL

    Dennis Gesker Newbie

      In my gradle build I've added:

       

      providedCompile "org.wildfly:wildfly-feature-pack:14.0.1.Final"

       

      But, I'm getting:

       

      > Could not resolve javax.security.enterprise:javax.security.enterprise-api:1.1-b01-SNAPSHOT.

        Required by:

            project : > org.wildfly:wildfly-feature-pack:14.0.1.Final > org.glassfish.soteria:javax.security.enterprise:1.0

         > Could not resolve javax.security.enterprise:javax.security.enterprise-api:1.1-b01-SNAPSHOT.

            > Unable to load Maven meta-data from https://repository.jboss.org/nexus/content/groups/public-jboss/javax/security/enterprise/javax.security.enterprise-api/1.1-b01-SNAPSHOT/maven-metadata.xml.

               > Could not get resource 'https://repository.jboss.org/nexus/content/groups/public-jboss/javax/security/enterprise/javax.security.enterprise-api/1.1-b01-SNAPSHOT/maven-metadata.xml'.

                  > Could not GET 'https://repository.jboss.org/nexus/content/groups/public-jboss/javax/security/enterprise/javax.security.enterprise-api/1.1-b01-SNAPSHOT/maven-metadata.xml'.

                     > extension (10) should not be presented in server_hello

       

      Presently I have the following repositories in my build:

       

          jcenter()

          mavenCentral()

       

          maven {

              name "Gradle Repository"

              url "https://plugins.gradle.org/m2/"

          }

          maven {

              name "JBoss Public Maven Repository Group"

              url "https://repository.jboss.org/nexus/content/groups/public-jboss/"

          }

          maven {

              name "JBoss Public Maven Repository Group"

              url "http://repository.jboss.org/nexus/content/groups/public/"

          }

       

       

      But, I suspect I am missing a repository specific to WildFly. Anyone have the correct URL for the repository I should add in order to be able to use org.wildfly:wildfly-feature-pack:14.0.1.Final ?

       

      Thanks,

      Dennis